//self.onError=null;
var CurZ=1;
function LoadFrame(idtbl,caption,url,W,H,L,T,pos,state,min,max,close,parentBox){
  var mytable=$('#'+idtbl);
  if(mytable.length>0){
    alert('窗口已存在');
    return;
  }
  //表格位置
  if(pos==1){//上左
    var myl=0;
    var myt=0;
  }else if(pos==2){//上中
    var myl=(pageWidth()-W)/2;
    var myt=0;
  }else if(pos==3){//上右
    var myl=pageWidth()-W;
    var myt=0;
  }else if(pos==4){//中左
    var myl=0;
    var myt=($(window).scrollTop()+pageHeight()-H-FTLH-FBBLH)/2;
  }else if(pos==5){//正中
    var myl=$(window).scrollLeft()+(pageWidth()-W)/2;
    var myt=$(window).scrollTop()+(pageHeight()-H-FTLH-FBBLH)/2;
  }else if(pos==6){//中右
    var myl=$(window).scrollLeft()+pageWidth()-W;
    var myt=$(window).scrollTop()+(pageHeight()-H-FTLH-FBBLH)/2;
  }else if(pos==7){//下左
    var myl=0;
    var myt=$(window).scrollTop()+pageHeight()-H-FTLH-FBBLH;
  }else if(pos==8){//下中
    var myl=$(window).scrollLeft()+(pageWidth()-W)/2;
    var myt=$(window).scrollTop()+pageHeight()-H-FTLH-FBBLH;
  }else if(pos==9){//下右
    var myl=$(window).scrollLeft()+pageWidth()-W;
    var myt=$(window).scrollTop()+pageHeight()-H-FTLH-FBBLH;
  }else{
    var myl=L;
    var myt=T;
  }
  if(myt<0){
    myt=0;
  }
  var myw=W;
  var myh=H;
  if(url==""){
    var theurl="about:blank";
  }else{
    var theurl=url.indexOf("?")==-1 ? url + "?onezid="+idtbl : url + "&onezid="+idtbl;
    theurl+='&theskin='+theskin;
  }
  
  CurZ++;
  tmponez='<div id="'+idtbl+'" class="OnezBox" style="width:'+myw+'px;height:'+myh+'px" oWidth="'+myw+'" oHeight="'+myh+'" state="0" onmousedown="SetTop(\''+idtbl+'\')">';
  tmponez+='<div class="tl">';
  tmponez+='<div class="tr">';
  tmponez+='<div class="tc" ondblclick="FrameMax(\''+idtbl+'\')">';
  tmponez+='<div class="caption">'+caption+'</div>';
  tmponez+='<div class="titleBtns">';
  if(min==1){
    tmponez+='<a href="javascript:void(0)" class="min" onclick="FrameMin(\''+idtbl+'\')"></a>';
  }
  if(max==1){
    tmponez+='<a href="javascript:void(0)" class="max" onclick="FrameMax(\''+idtbl+'\')"></a>';
  }
  if(close==1){
    tmponez+='<a href="javascript:void(0)" class="close" onclick="FrameClose(\''+idtbl+'\')"></a>';
  }
  tmponez+='</div>';
  tmponez+='</div>';
  tmponez+='</div>';
  tmponez+='</div>';
  tmponez+='<div class="cl"><div class="cr"><div class="cc"></div></div></div>';
  
  tmponez+='<div class="bl"><div class="br"><div class="bc"></div></div></div>';
  tmponez+='</div>';
  var obj=$(tmponez);
  obj.appendTo(typeof parentBox!='undefined' && $(parentBox).length>0 ? $(parentBox) : $('body')).css({
    'z-index':CurZ,
    'left':myl+'px',
    'width':myw+'px',
    'height':myh+'px'
  });
  drag(obj[0]);
  obj.find('.tc').bind('mousedown',function(){
    CurZ++;
    $(this).parent().parent().parent().css('z-index',CurZ);
  })
  
  var outX=parseInt(obj.find('.cr').css('margin-left'))+parseInt(obj.find('.cc').css('margin-right'));
  var outY=obj.find('.tc').height()+obj.find('.bc').height();
  obj.css('top',myt+'px').find('.cc').append($('<div id="'+idtbl+'_body" style="width:'+(myw-outX)+'px;height:'+(myh-outY)+'px;position:relative;border:0"></div>').attr('outX',outX).attr('outY',outY));
  $.get(theurl,function(s){
    $('#'+idtbl+'_body').html(s);
  });
}
//最小化
function FrameMin(idtbl){
  $('<li id="min_'+idtbl+'"><a href="javascript:FrameRes(\''+idtbl+'\')" title="'+$('#'+idtbl+' .caption').html()+'"><img src="images/qq.png" /></a></li>').appendTo($("#minwins").show('slow'));
  $('#'+idtbl).attr('state','1').hide();
}
//从最小化恢复
function FrameRes(idtbl){
  CurZ++;
  $('#'+idtbl).css('z-index',CurZ).show();
  $('#min_'+idtbl).remove();
  if($("#minwins li").length==0){
    $("#minwins").hide('slow');
  }
}
function FrameMax(idtbl){
  CurZ++;
  var obj=$('#'+idtbl);
  if(obj.find('a.max').length<1)return;
  if(obj.attr('state')=='2'){
    var oWidth=parseInt(obj.attr('oWidth'));
    var oHeight=parseInt(obj.attr('oHeight'));
    obj.css({
      'left':obj.attr('oLeft')+'px',
      'top':obj.attr('oTop')+'px',
      'width':oWidth+'px',
      'height':oHeight+'px',
      'z-index':CurZ
    }).attr('state','0');
    var objFrm=$('#'+idtbl+'_body');
    objFrm.width(oWidth-parseInt(objFrm.attr('outX'))).height(oHeight-parseInt(objFrm.attr('outY')));
  }else{
    var o=obj.offset();
    obj.css({
      'left':0,
      'top':0,
      'width':pageWidth()+'px',
      'height':pageHeight()+'px',
      'z-index':CurZ
    }).attr('state','2').attr('oLeft',o.left).attr('oTop',o.top);
    var objFrm=$('#'+idtbl+'_body');
    objFrm.width(pageWidth()-parseInt(objFrm.attr('outX'))).height(pageHeight()-parseInt(objFrm.attr('outY'))+8);
  }
}
//关闭
function FrameClose(idtbl){
  $('#'+idtbl).remove();
}
//设置为最顶端
function SetTop(idtbl){
  CurZ++;
  $('#'+idtbl).css('z-index',CurZ);
}